Index: linux-2.6.16/lib/zlib_deflate/deflate.c
===================================================================
--- linux-2.6.16.orig/lib/zlib_deflate/deflate.c	2006-04-04 15:15:01.000000000 +0100
+++ linux-2.6.16/lib/zlib_deflate/deflate.c	2006-04-04 15:15:04.000000000 +0100
@@ -164,34 +164,17 @@
     memset((char *)s->head, 0, (unsigned)(s->hash_size-1)*sizeof(*s->head));
 
 /* ========================================================================= */
-int zlib_deflateInit_(
-	z_streamp strm,
-	int level,
-	const char *version,
-	int stream_size
-)
-{
-    return zlib_deflateInit2_(strm, level, Z_DEFLATED, MAX_WBITS,
-			      DEF_MEM_LEVEL,
-			      Z_DEFAULT_STRATEGY, version, stream_size);
-    /* To do: ignore strm->next_in if we use it as window */
-}
-
-/* ========================================================================= */
-int zlib_deflateInit2_(
+int zlib_deflateInit2(
 	z_streamp strm,
 	int  level,
 	int  method,
 	int  windowBits,
 	int  memLevel,
-	int  strategy,
-	const char *version,
-	int stream_size
+	int  strategy
 )
 {
     deflate_state *s;
     int noheader = 0;
-    static char* my_version = ZLIB_VERSION;
     deflate_workspace *mem;
 
     ush *overlay;
@@ -199,10 +182,6 @@
      * output size for (length,distance) codes is <= 24 bits.
      */
 
-    if (version == NULL || version[0] != my_version[0] ||
-        stream_size != sizeof(z_stream)) {
-	return Z_VERSION_ERROR;
-    }
     if (strm == NULL) return Z_STREAM_ERROR;
 
     strm->msg = NULL;
Index: linux-2.6.16/lib/zlib_deflate/deflate_syms.c
===================================================================
--- linux-2.6.16.orig/lib/zlib_deflate/deflate_syms.c	2006-04-04 15:15:01.000000000 +0100
+++ linux-2.6.16/lib/zlib_deflate/deflate_syms.c	2006-04-04 15:15:04.000000000 +0100
@@ -12,8 +12,7 @@
 
 EXPORT_SYMBOL(zlib_deflate_workspacesize);
 EXPORT_SYMBOL(zlib_deflate);
-EXPORT_SYMBOL(zlib_deflateInit_);
-EXPORT_SYMBOL(zlib_deflateInit2_);
+EXPORT_SYMBOL(zlib_deflateInit2);
 EXPORT_SYMBOL(zlib_deflateEnd);
 EXPORT_SYMBOL(zlib_deflateReset);
 MODULE_LICENSE("GPL");
Index: linux-2.6.16/lib/zlib_inflate/inflate_syms.c
===================================================================
--- linux-2.6.16.orig/lib/zlib_inflate/inflate_syms.c	2006-04-04 15:15:01.000000000 +0100
+++ linux-2.6.16/lib/zlib_inflate/inflate_syms.c	2006-04-04 15:15:04.000000000 +0100
@@ -12,8 +12,7 @@
 
 EXPORT_SYMBOL(zlib_inflate_workspacesize);
 EXPORT_SYMBOL(zlib_inflate);
-EXPORT_SYMBOL(zlib_inflateInit_);
-EXPORT_SYMBOL(zlib_inflateInit2_);
+EXPORT_SYMBOL(zlib_inflateInit2);
 EXPORT_SYMBOL(zlib_inflateEnd);
 EXPORT_SYMBOL(zlib_inflateReset);
 EXPORT_SYMBOL(zlib_inflateIncomp); 
